# If not running interactively, don't do anything
[[ $- != *i* ]] && return

# Adds wal colors
(cat ~/.cache/wal/sequences &)
source ~/.cache/wal/colors-tty.sh

export VISUAL='nvim'
export EDITOR="$VISUAL"

alias ls='ls --color=auto'
alias grep='grep --color=auto'
alias vim='nvim'
alias note='(cd ~/Notes/ && ENABLE_GIT_SETUP=true nvim ~/Notes/)'
alias note-diary='(cd ~/Notes/ && ENABLE_GIT_SETUP=true nvim ~/Notes/Diary.md)'
alias note-dsa='(cd ~/DSA/ && ENABLE_GIT_SETUP=true nvim ~/DSA/)'
alias note-dsa-players='(cd ~/DSA/Spieler/ && ENABLE_GIT_SETUP=true nvim ~/DSA/Spieler/)'

eval "$(zoxide init bash --cmd cd)"
